---
document: modulemd
version: 2
data:
  name: idm
  stream: "client"
  version: 8100020240411150402
  context: 94f01c65
  arch: i686
  summary: RHEL IdM long term support client module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).

    This module stream supports only client side of RHEL IdM solution
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
  api:
    rpms:
    - ipa-client
    - ipa-client-common
    - ipa-client-debuginfo
    - ipa-common
    - ipa-debuginfo
    - ipa-debugsource
    - ipa-healthcheck-core
    - ipa-python-compat
    - python3-ipaclient
    - python3-ipalib
    - python3-jwcrypto
    - python3-pyusb
    - python3-qrcode
    - python3-qrcode-core
    - python3-yubico
  filter:
    rpms:
    - bind-dyndb-ldap
    - bind-dyndb-ldap-debuginfo
    - bind-dyndb-ldap-debugsource
    - custodia
    - ipa-healthcheck
    - ipa-server
    - ipa-server-common
    - ipa-server-debuginfo
    - ipa-server-dns
    - ipa-server-trust-ad
    - ipa-server-trust-ad-debuginfo
    - opendnssec
    - opendnssec-debuginfo
    - opendnssec-debugsource
    - python3-custodia
    - python3-ipaserver
    - python3-ipatests
    - slapi-nis
    - slapi-nis-debuginfo
    - slapi-nis-debugsource
    - softhsm
    - softhsm-debuginfo
    - softhsm-debugsource
    - softhsm-devel
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: 56fb5ce7669f830dd07948351bd4b9c4b520ba54
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: 411c15b3f2a4e714babf3e5b3705ec80aadab5a0
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa:
        rationale: Module API
        ref:
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: 6f1049b565e7e4f265af2bd35e05a64430c5d0cb
        buildorder: 3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: f1d54fc2f1272ceee23efb1e43d8df5a9a284198
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: 8453f26494c8ffdc291b9df8741455622f1fbef4
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: 179b13c579bbbf3d5395bc0669028e9bc2337f2e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: 1dd2e55398d2c9cf61d80fba8183123d43512a1a
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: 266d45f7ef9638c1df592bacb246f16ceed0c8ab
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: 201b0ef1cbcc8be545db81d4e3601fc7cfb4b4ce
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: 25dd5b5696e30bac8509fed492362c1272ba012b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - bind-dyndb-ldap-0:11.6-4.module_el8.7.0+3386+778f5f29.src
    - custodia-0:0.6.0-3.module_el8.7.0+3386+778f5f29.src
    - ipa-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.src
    - ipa-client-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.i686
    - ipa-client-common-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.noarch
    - ipa-client-debuginfo-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.i686
    - ipa-client-epn-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.i686
    - ipa-client-samba-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.i686
    - ipa-common-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.noarch
    - ipa-debugsource-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.i686
    - ipa-healthcheck-0:0.12-3.module_el8.9.0+3650+97f44e21.src
    - ipa-healthcheck-core-0:0.12-3.module_el8.9.0+3650+97f44e21.noarch
    - ipa-python-compat-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.noarch
    - ipa-selinux-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.noarch
    - opendnssec-0:2.1.7-1.module_el8.7.0+3386+778f5f29.src
    - python-jwcrypto-0:0.5.0-1.1.module_el8.7.0+3296+78af3eff.src
    - python-qrcode-0:5.1-12.module_el8.6.0+2737+7e73ea90.src
    - python-qrcode-0:5.1-12.module_el8.6.0+3032+60ac42fe.src
    - python-yubico-0:1.3.2-9.1.module_el8.7.0+3296+78af3eff.src
    - python3-ipaclient-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.noarch
    - python3-ipalib-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.noarch
    - python3-jwcrypto-0:0.5.0-1.1.module_el8.7.0+3296+78af3eff.noarch
    - python3-pyusb-0:1.0.0-9.1.module_el8.7.0+3296+78af3eff.noarch
    - python3-qrcode-0:5.1-12.module_el8.6.0+2737+7e73ea90.noarch
    - python3-qrcode-0:5.1-12.module_el8.6.0+3032+60ac42fe.noarch
    - python3-qrcode-core-0:5.1-12.module_el8.6.0+2737+7e73ea90.noarch
    - python3-qrcode-core-0:5.1-12.module_el8.6.0+3032+60ac42fe.noarch
    - python3-yubico-0:1.3.2-9.1.module_el8.7.0+3296+78af3eff.noarch
    - pyusb-0:1.0.0-9.1.module_el8.7.0+3296+78af3eff.src
    - slapi-nis-0:0.60.0-1.module_el8.7.0+3386+778f5f29.src
    - softhsm-0:2.6.0-5.module_el8.7.0+3386+778f5f29.src
...
---
document: modulemd
version: 2
data:
  name: idm-devel
  stream: "client"
  version: 8100020240411150402
  context: 94f01c65
  arch: i686
  summary: RHEL IdM long term support client module
  description: >-
    RHEL IdM is an integrated solution to provide centrally managed Identity (users,
    hosts, services), Authentication (SSO, 2FA), and Authorization (host access control,
    SELinux user roles, services). The solution provides features for further integration
    with Linux based clients (SUDO, automount) and integration with Active Directory
    based infrastructures (Trusts).

    This module stream supports only client side of RHEL IdM solution
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      389-ds: [1.4]
      httpd: [2.4]
      pki-core: [10.6]
      platform: [el8]
    requires:
      idm: [client]
      platform: [el8]
  references:
    community: https://www.freeipa.org/
    documentation: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/linux_domain_identity_authentication_and_policy_guide/index
    tracker: https://pagure.io/freeipa/issues
  profiles:
    common:
      description: A default profile for RHEL IdM client
      rpms:
      - ipa-client
  api:
    rpms:
    - ipa-client
    - ipa-client-common
    - ipa-client-debuginfo
    - ipa-common
    - ipa-debuginfo
    - ipa-debugsource
    - ipa-healthcheck-core
    - ipa-python-compat
    - python3-ipaclient
    - python3-ipalib
    - python3-jwcrypto
    - python3-pyusb
    - python3-qrcode
    - python3-qrcode-core
    - python3-yubico
  filter:
    rpms:
    - bind-dyndb-ldap
    - bind-dyndb-ldap-debuginfo
    - bind-dyndb-ldap-debugsource
    - custodia
    - ipa-healthcheck
    - ipa-server
    - ipa-server-common
    - ipa-server-debuginfo
    - ipa-server-dns
    - ipa-server-trust-ad
    - ipa-server-trust-ad-debuginfo
    - opendnssec
    - opendnssec-debuginfo
    - opendnssec-debugsource
    - python3-custodia
    - python3-ipaserver
    - python3-ipatests
    - slapi-nis
    - slapi-nis-debuginfo
    - slapi-nis-debugsource
    - softhsm
    - softhsm-debuginfo
    - softhsm-debugsource
    - softhsm-devel
  components:
    rpms:
      bind-dyndb-ldap:
        rationale: Driver for BIND to store DNS information in LDAP
        ref: 56fb5ce7669f830dd07948351bd4b9c4b520ba54
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      custodia:
        rationale: Remote access to secrets and credentials in IdM topology
        ref: 411c15b3f2a4e714babf3e5b3705ec80aadab5a0
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa:
        rationale: Module API
        ref:
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      ipa-healthcheck:
        rationale: A tool to detect issues in IdM clusters
        ref: 6f1049b565e7e4f265af2bd35e05a64430c5d0cb
        buildorder: 3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      opendnssec:
        rationale: An implementation of DNSSEC support for IdM integrated DNS server
        ref: f1d54fc2f1272ceee23efb1e43d8df5a9a284198
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-jwcrypto:
        rationale: JSON Web Cryptographic Tokens used by Custodia
        ref: 8453f26494c8ffdc291b9df8741455622f1fbef4
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-qrcode:
        rationale: QR code generator for IdM two-factor authentication
        ref: 179b13c579bbbf3d5395bc0669028e9bc2337f2e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-yubico:
        rationale: Support for Yubikey-based tokens for IdM two-factor authentication
        ref: 1dd2e55398d2c9cf61d80fba8183123d43512a1a
        buildorder: 2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      pyusb:
        rationale: Python USB support to access USB tokens for IdM two-factor authentication
        ref: 266d45f7ef9638c1df592bacb246f16ceed0c8ab
        buildorder: 1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      slapi-nis:
        rationale: Compatibility plugin to serve legacy clients
        ref: 201b0ef1cbcc8be545db81d4e3601fc7cfb4b4ce
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      softhsm:
        rationale: Software version of a PKCS#11 Hardware Security Module
        ref: 25dd5b5696e30bac8509fed492362c1272ba012b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - bind-dyndb-ldap-0:11.6-4.module_el8.7.0+3386+778f5f29.src
    - custodia-0:0.6.0-3.module_el8.7.0+3386+778f5f29.src
    - ipa-healthcheck-0:0.12-3.module_el8.9.0+3650+97f44e21.noarch
    - ipa-healthcheck-0:0.12-3.module_el8.9.0+3650+97f44e21.src
    - opendnssec-0:2.1.7-1.module_el8.7.0+3386+778f5f29.src
    - python3-ipatests-0:4.9.13-1.module_el8.10.0+3802+74d9ee87.noarch
    - slapi-nis-0:0.60.0-1.module_el8.7.0+3386+778f5f29.src
    - softhsm-0:2.6.0-5.module_el8.7.0+3386+778f5f29.src
...
